Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.dsp
Enum RequestConfig.ReadTransactionMode

    java.lang.Object
      java.lang.Enum<RequestConfig.ReadTransactionMode>
          com.bea.dsp.RequestConfig.ReadTransactionMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RequestConfig.ReadTransactionMode>

Enclosing class:
  RequestConfig

    public static enum RequestConfig.ReadTransactionMode

extends java.lang.Enum<RequestConfig.ReadTransactionMode>

Enumerated attribute indicating how the DSP server should handle transactions when executing read-only function or ad-hoc query. The names of these values are based on similar names for transaction handling for EJBs.

Note: This only affects the behaviour of read-only functions or queries. The DSP server will always create a transaction if necessary when executing a read/write operation such as a create, update or delete.

Enum Constant Summary
`NOT_SUPPORTED` Read operations will not make use of a transaction if one is active on the client, and no transaction will be created.
`REQUIRED` Read operations will make use of a transaction if one is active on the client.
`SUPPORTS` Read operations will make use of a transaction if one is active on the client.

Method Summary
`static RequestConfig.ReadTransactionMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RequestConfig.ReadTransactionMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SUPPORTS

    public static final RequestConfig.ReadTransactionMode SUPPORTS

  Read operations will make use of a transaction if one is active on the client. If no transaction is open, however, one will not be created. This is the default setting.

### REQUIRED

    public static final RequestConfig.ReadTransactionMode REQUIRED

  Read operations will make use of a transaction if one is active on the client. If no transaction is open on the client, one will be created on the server for the duration of the read operation.

### NOT_SUPPORTED

    public static final RequestConfig.ReadTransactionMode NOT_SUPPORTED

  Read operations will not make use of a transaction if one is active on the client, and no transaction will be created.

Method Detail

### values

    public static RequestConfig.ReadTransactionMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RequestConfig.ReadTransactionMode c : RequestConfig.ReadTransactionMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RequestConfig.ReadTransactionMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 Oracle. All Rights Reserved.